$(function(){
//alert(website_url);
total_con=$("#total_con").text();
total_rows=$("#total_rows").text();
max_con=$("#max_con").text();
cat_id=$("#cat_id").attr("value");
cat_name=$("#cat_name").attr("value");
load_type=$("#load_type").text();
current_con=1;
i=0;



//alert("S");




////////////////////////////next_search_load/////////////////////////////
////////////////////////////next_search_load/////////////////////////////


$("#next_num_search_same").on("click",function(){
	//alert("S");
if(current_con<total_con){

current_con++;
table=$(this).attr("lang");
num_rows=$(this).attr("max");
search=$(this).attr("search");
end=parseInt(current_con)* (parseInt(num_rows)-1);
start=parseInt(current_con -1) * ( parseInt(num_rows));




current_mod=(current_con-1)%max_con;
comp=$("#main_company_list").val();
depart=$(this).attr("depart");



//alert(current_con);
//alert(table);
//alert(num_rows);
//alert(search);

//alert(end);
//alert(start);
//alert(cat_id);
//فى حالة عدم وجود الرقم التالى
if(current_mod!=0){
$(".num_con_search").removeClass("num_active");
$("#num_con_search"+current_con).addClass("num_active");
$("#next_num_search").attr("alt",parseInt($("#next_num_search").attr("alt"))+1);	
$("#prev_num_search").attr("alt",parseInt($("#prev_num_search").attr("alt"))+1);

}else{


from=(parseInt(current_con)-1) + parseInt(max_con) ;
to=parseInt(from)-(parseInt(max_con)+1);	

//alert(from);
//alert(to);
$(".num_con_search").show();
for(i=from;i>=to;i--){
before=i-max_con;

$("#num_con_search"+before).attr("alt",i);
$("#num_con_search"+before).text(i);
$("#num_con_search"+before).attr("id","num_con_search"+i);	

if(i>total_con){ $("#num_con_search"+i).hide(); }
}

$(".num_con_search").removeClass("num_active");
$("#num_con_search"+current_con).addClass("num_active");

}

page=$("#load_page").html();
page=page+".php";

//alert(page);
	$("#load_wait").show();


	

$.post(website_url+'/'+page,{
"cat":'',
'search':search ,
"table":table ,
"start":start ,
"end":end ,
"num_rows":num_rows ,
"cat_id":cat_id ,
"cat_name":cat_name ,
"comp":comp ,
"load_type":load_type ,
"same_load":'same_page' ,
"depart":depart 
},function(data){

if (end>total_rows){ end=total_rows	}
$("#rows_range").html((end+1)+"-"+(start+1));

//alert(data);
$('#load_results').append(data);  
$("#load_wait").hide();


current_same_con=parseInt($("#next_num_search_same").attr('current_con'))+1;

if(parseInt(current_same_con)==parseInt(total_con)){
	$("#next_num_search_same").hide();
}else{
	$("#next_num_search_same").attr('current_con',current_con);
}



	
});
}

});





////////////////////////////next_search/////////////////////////////
////////////////////////////next_search/////////////////////////////


$("#next_num_search").on("click",function(){
	
if(current_con<total_con){

current_con++;
table=$(this).attr("lang");
num_rows=$(this).attr("max");
search=$(this).attr("search");
end=parseInt(current_con)* (parseInt(num_rows)-1);
start=parseInt(current_con -1) * ( parseInt(num_rows));




current_mod=(current_con-1)%max_con;
comp=$("#main_company_list").val();
depart=$(this).attr("depart");



//alert(current_con);
//alert(table);
//alert(num_rows);
//alert(search);

//alert(end);
//alert(start);
//alert(cat_id);
//فى حالة عدم وجود الرقم التالى
if(current_mod!=0){
$(".num_con_search").removeClass("num_active");
$("#num_con_search"+current_con).addClass("num_active");
$("#next_num_search").attr("alt",parseInt($("#next_num_search").attr("alt"))+1);	
$("#prev_num_search").attr("alt",parseInt($("#prev_num_search").attr("alt"))+1);

}else{


from=(parseInt(current_con)-1) + parseInt(max_con) ;
to=parseInt(from)-(parseInt(max_con)+1);	

//alert(from);
//alert(to);
$(".num_con_search").show();
for(i=from;i>=to;i--){
before=i-max_con;

$("#num_con_search"+before).attr("alt",i);
$("#num_con_search"+before).text(i);
$("#num_con_search"+before).attr("id","num_con_search"+i);	

if(i>total_con){ $("#num_con_search"+i).hide(); }
}

$(".num_con_search").removeClass("num_active");
$("#num_con_search"+current_con).addClass("num_active");

}

page=$("#load_page").html();
page=page+".php";


	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	
	


$.post(website_url+'/'+page,{
"cat":'',
'search':search ,
"table":table ,
"start":start ,
"end":end ,
"num_rows":num_rows ,
"cat_id":cat_id ,
"cat_name":cat_name,
"comp":comp ,
"load_type":load_type ,
"depart":depart 
},function(data){

if (end>total_rows){ end=total_rows	}
$("#rows_range").html((end+1)+"-"+(start+1));

//alert(data);
$('#load_results').html(data);  
$("#load_wait").hide();	

$('html, body').animate({
        scrollTop: $(".path_div").offset().top
    }, 500);



})
}

});





//alert('z');



////////////////////////////prev_search/////////////////////////////
////////////////////////////prev_search/////////////////////////////



$("#prev_num_search").on("click",function(){	
//alert(current_con);

if(current_con>1){
current_con--;
table=$(this).attr("lang");
num_rows=$(this).attr("max");
search=$(this).attr("search");
end=parseInt(current_con)* (parseInt(num_rows)-1);
start=parseInt(current_con -1) * ( parseInt(num_rows));

current_mod=(current_con)%max_con;
comp=$("#main_company_list").val();
depart=$(this).attr("depart");


//فى حالة عدم وجود الرقم التالى
if(current_mod!=0){
$(".num_con_search").removeClass("num_active");
$("#num_con_search"+current_con).addClass("num_active");
$("#next_num_search").attr("alt",parseInt($("#next_num_search").attr("alt"))-1);	
$("#prev_num_search").attr("alt",parseInt($("#prev_num_search").attr("alt"))-1);

//alert(current_con);
}else{

from=current_con ;
to=parseInt(current_con)-(parseInt(max_con)+1);	
//alert(from);
//alert(to);
$(".num_con_search").show();
for(i=from;i>=to;i--){
before=parseInt(i)+parseInt(max_con);

$("#num_con_search"+before).attr("alt",);
$("#num_con_search"+before).text(i);
$("#num_con_search"+before).attr("id","num_con_search"+i);	

if(i>total_con){ $("#num_con_search"+i).hide(); }
}

$(".num_con_search").removeClass("num_active");
$("#num_con_search"+current_con).addClass("num_active");

}

page=$("#load_page").html();
page=page+".php";

	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	
	
	
	
$.post(website_url+'/'+page,{
"cat":'',
'search':search ,
"table":table ,
"start":start ,
"end":end ,
"num_rows":num_rows ,
"cat_id":cat_id ,
"cat_name":cat_name,
"comp":comp ,
"load_type":load_type ,
"depart":depart 
},function(data){

if (end>total_rows){ end=total_rows	}
$("#rows_range").html((end+1)+"-"+(start+1));

//alert(data);
$('#load_results').html(data);  
$("#load_wait").hide();	

$('html, body').animate({
        scrollTop: $(".path_div").offset().top
    }, 500);


})



}

});







////////////////////////////num_con_search/////////////////////////////
////////////////////////////num_con_search/////////////////////////////

$(".num_con_search").on("click",function(){


total_con=$("#total_con").text();
if ($(this).attr("class")!='num_con_search num_active'){

$(".num_con_search").removeClass("num_active");
$(this).addClass("num_active");

current_con=$(this).attr("alt");
table=$(this).attr("lang");
num_rows=$(this).attr("max");
search=$(this).attr("search");
comp=$("#main_company_list").val();
depart=$(this).attr("depart");
page=$("#load_page").html();
page=page+".php";

//alert(page);
	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	

	
	

end=parseInt(current_con -1) * ( parseInt(num_rows));
start=parseInt(current_con -1) * ( parseInt(num_rows));

//alert(current_con);
//alert(table);
//alert(num_rows);
//alert(search);
//alert(page);
//alert(end);
//alert(start);
//alert(cat_id);
//alert(page);

	$("#next_num").attr("alt",parseInt(current_con)+1);
	$("#prev_num").attr("alt",parseInt(current_con)-1);

	
	
$.post(website_url+'/'+page,{
"cat":'',
'search':search ,
"table":table ,
"start":start ,
"end":end ,
"num_rows":num_rows ,
"comp":comp ,
"load_type":load_type ,
"depart":depart
},function(data){

if (end>total_rows){ end=total_rows	}
$("#rows_range").html((end+1)+"-"+(start+1));

//alert(data);
$('#load_results').html(data);  
$("#load_wait").hide();	

$('html, body').animate({
        scrollTop: $(".path_div").offset().top
    }, 500);

})

}
});
	










$("#main_company_list_internal").bind("change",function(){
comp=$(this).val();	
$("#main_depart_list_internal").load("ajax_load_depart.php",{

"comp":comp 

},function(data){
	

	
});	
	
});
	
	
$("#main_company_list").bind("change",function(){
total_con=$("#total_con").text();

current_con=$(this).attr("alt");
table=$(this).attr("lang");
num_rows=$(this).attr("max");
search=$("#search_text").val();
comp=$("#main_company_list").val();depart
depart=$(this).attr("depart");
page=$("#load_page").html();
page=page+".php";


	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	
	

end=0;
start=0;

//alert(current_con);
//alert(table);
//alert(num_rows);
//alert(search);
//alert(page);
//alert(end);
//alert(start);
//alert(cat_id);




	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);

$("#result_view").load(page,{
"cat":'',
'search':search ,
"table":table ,
"start":start ,
"end":end ,
"num_rows":num_rows ,
"comp":comp , 
"load_type":load_type ,
"depart":depart
},function(){
	
$("#main_depart_list").load("ajax_load_depart.php",{

"comp":comp 

},function(){
	
});

	//alert("xxx");
$("#num_container").load("ajax_num_container.php",{
"table":table ,
'search':search ,
"comp":comp ,
"depart":depart
	
},function(){ 

$("#num_rows").html($("#total_con").html());

});


	
$("#load_wait").hide();

});	


});


$("#main_depart_list").bind("change",function(){
total_con=$("#total_con").text();

current_con=$(this).attr("alt");
table=$(this).attr("lang");
num_rows=$(this).attr("max");
search=$("#search_text").val();
comp=$("#main_company_list").val();
depart=$(this).attr("depart");
page=$("#load_page").html();
page=page+".php";


	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	
	

end=0;
start=0;

//alert(current_con);
//alert(table);
//alert(num_rows);
//alert(search);
//alert(page);
//alert(end);
//alert(start);
//alert(cat_id);




	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	

$("#result_view").load(page,{
"cat":'',
'search':search ,
"table":table ,
"start":start ,
"end":end ,
"num_rows":num_rows ,
"comp":comp , 
"depart":depart,
"load_type":load_type ,
"is_search":"1",
},function(data){
	//xxx=$(data).find('#is_search').text();
	//alert(xxx);
	//yalert(data);
	//$("#num_rows").text($("#result_view").text());
	//alert("ss");
$("#num_container").load("ajax_num_container.php",{
"table":table ,
'search':search ,
"comp":comp ,
"depart":depart
	
},function(){ 

$("#num_rows").html($("#total_rows").html());

});


	
$("#load_wait").hide();

});	


});


$("#search_btn").bind("click",function(){
total_con=$("#total_con").text();

current_con=$(this).attr("alt");
table=$(this).attr("lang");
num_rows=$(this).attr("max");
search=$("#search_text").val();
comp=$("#main_company_list").val();
depart=$(this).attr("depart");
page=$("#load_page").html();
page=page+".php";


	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	

end=0;
start=0;

//alert(current_con);
//alert(table);
//alert(num_rows);
//alert(search);
//alert(page);
//alert(end);
//alert(start);
//alert(cat_id);




	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	

$("#result_view").load(page,{
"cat":'',
'search':search ,
"table":table ,
"start":start ,
"end":end ,
"num_rows":num_rows ,
"comp":comp , 
"load_type":load_type ,
"depart":depart
},function(){
	
	
	//alert("xxx");
$("#num_container").load("ajax_num_container.php",{
"table":table ,
'search':search ,
"comp":comp ,
"depart":depart
	
},function(){ 

$("#num_rows").html($("#total_con").html());

});


	
$("#load_wait").hide();

});	


});




$("#search_btn_cart").bind("click",function(){
	//alert("S");
total_con=$("#total_con").text();

current_con=$(this).attr("alt");
table=$(this).attr("lang");
num_rows=$(this).attr("max");
search=$("#search_text").val();
comp=$("#main_company_list").val();
depart=$(this).attr("depart");
page=$("#load_page").html();
page=page+".php";


	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	

end=0;
start=0;

//alert(current_con);
//alert(table);
//alert(num_rows);
//alert(search);
//alert(page);
//alert(end);
//alert(start);
//alert(cat_id);




	$("#load_wait").show();

     $('html').animate({
        scrollTop:  $(".single-post-area").offset().top
    }, 500);
	

$("#result_view").load(page,{
"cat":'',
'search':search ,
"table":table ,
"start":start ,
"end":end ,
"num_rows":num_rows ,
"comp":comp , 
"load_type":load_type ,
"depart":depart
},function(){
	
	
	//alert("xxx");
$("#num_container").load("ajax_num_container_cart.php",{
"table":table ,
'search':search ,
"comp":comp ,
"depart":depart
	
},function(){ 

$("#num_rows").html($("#total_con").html());

});


	
$("#load_wait").hide();

});	


});



	
});





